Vulnerability CVE-2003-0620


Published: 2003-08-27   Modified: 2012-02-12

Description:
Multiple buffer overflows in man-db 2.4.1 and earlier, when installed setuid, allow local users to gain privileges via (1) MANDATORY_MANPATH, MANPATH_MAP, and MANDB_MAP arguments to add_to_dirlist in manp.c, (2) a long pathname to ult_src in ult_src.c, (3) a long .so argument to test_for_include in ult_src.c, (4) a long MANPATH environment variable, or (5) a long PATH environment variable.

CVSS2 => (AV:L/AC:L/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.6/10
6.4/10
3.9/10
Exploit range
Attack complexity
Authentication
Local
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Andries brouwer -> MAN 

 References:
http://marc.info/?l=bugtraq&m=105951284512898&w=2
http://marc.info/?l=bugtraq&m=105960276803617&w=2
http://www.debian.org/security/2003/dsa-364

Copyright 2021, cxsecurity.com

 

Back to Top